Bug 1264336 - initial-setup-ks.cfg world readable by default
initial-setup-ks.cfg world readable by default
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: initial-setup (Show other bugs)
7.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Martin Kolman
Release Test Team
: Security
Depends On:
Blocks: 1266161
  Show dependency treegraph
 
Reported: 2015-09-18 04:46 EDT by Stefan Nemeth
Modified: 2015-11-19 06:23 EST (History)
6 users (show)

See Also:
Fixed In Version: initial-setup-0.3.9.30-1
Doc Type: Bug Fix
Doc Text:
The initial-setup-ks.cfg file is no longer world-readable by default, but rather uses the same default permissions as the anaconda-ks.cfg file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 06:23:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Nemeth 2015-09-18 04:46:30 EDT
Description of problem:
initial-setup-ks.cfg world readable by default

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.install rhel 7.1
2./root/initial-setup-ks.cfg world readable by default

Actual results:
initial-setup-ks.cfg world readable by default

Expected results:
initial-setup-ks.cfg has same permission as anaconda-ks.cfg which is
root:root 600

Additional info:
-rw-------.  1 root root  1725 Sep  1 13:59 anaconda-ks.cfg
-rw-r--r--.  1 root root  1773 Sep  1 14:04 initial-setup-ks.cfg
Comment 3 Jan Stodola 2015-09-25 05:46:31 EDT
[root@localhost ~]# ls -l
total 8
-rw-------. 1 root root 1381 Sep 25 11:42 anaconda-ks.cfg
-rw-------. 1 root root 1474 Sep 25 11:43 initial-setup-ks.cfg
[root@localhost ~]# rpm -q initial-setup
initial-setup-0.3.9.30-1.el7.x86_64
[root@localhost ~]#
Comment 4 errata-xmlrpc 2015-11-19 06:23:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2334.html

Note You need to log in before you can comment on or make changes to this bug.